RagTime5GraphInternal::GraphicCParser Struct Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
RagTime5GraphInternal::GraphicCParser Struct Reference

low level: parser of graph cluster More...

Inheritance diagram for RagTime5GraphInternal::GraphicCParser:

## Public Member Functions
| GraphicCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
virtual | ~GraphicCParser ()
| destructor More...
shared_ptr< RagTime5ClusterManager::Cluster > | getCluster ()
| return the current cluster More...
shared_ptr< ClusterGraphic > | getGraphicCluster ()
| return the current graphic cluster More...
void | endZone ()
| end of a start zone call More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Member Functions
bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block More...
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone More...

## Protected Attributes
shared_ptr< ClusterGraphic > | m_cluster
| the current cluster More...
int | m_what
| a index to know which field is parsed : 0: graphdata, 1: list, 2: clustLink, graph transform, 3:fSz=91 More...
int | m_linkId
| the link id: 0: unicode, 1: condition, 2: clustLink, 3: clustLink[list], 4: clustLink[8], 5: transformation, 6: some dimension? More...
std::string | m_fieldName
| the actual field name More...

## Private Member Functions
| GraphicCParser (GraphicCParser const &orig)
| copy constructor (not implemented) More...
GraphicCParser & | operator= (GraphicCParser const &orig)
| copy operator (not implemented) More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of graph cluster

## Constructor & Destructor Documentation

## ◆ GraphicCParser() [1/2]

RagTime5GraphInternal::GraphicCParser::GraphicCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

## ◆ ~GraphicCParser()

RagTime5GraphInternal::GraphicCParser::~GraphicCParser | ( |  | ) |
| virtual

destructor

## ◆ GraphicCParser() [2/2]

RagTime5GraphInternal::GraphicCParser::GraphicCParser | ( | GraphicCParser const & | orig | ) |
| private

copy constructor (not implemented)

## Member Function Documentation

## ◆ endZone()

void RagTime5GraphInternal::GraphicCParser::endZone | ( |  | ) |
| inlinevirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

shared_ptr<RagTime5ClusterManager::Cluster> RagTime5GraphInternal::GraphicCParser::getCluster | ( |  | ) |
| inlinevirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

## ◆ getGraphicCluster()

shared_ptr<ClusterGraphic> RagTime5GraphInternal::GraphicCParser::getGraphicCluster | ( |  | ) |
| inline

return the current graphic cluster

## ◆ operator=()

GraphicCParser& RagTime5GraphInternal::GraphicCParser::operator= | ( | GraphicCParser const & | orig | ) |
| private

copy operator (not implemented)

## ◆ parseDataZone()

bool RagTime5GraphInternal::GraphicCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlineprotected

parse a data block

## ◆ parseField()

bool RagTime5GraphInternal::GraphicCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5GraphInternal::GraphicCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlineprotected

parse the header zone

## ◆ parseZone()

bool RagTime5GraphInternal::GraphicCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## ◆ m_cluster

shared_ptr<ClusterGraphic> RagTime5GraphInternal::GraphicCParser::m_cluster
| protected

the current cluster

## ◆ m_fieldName

std::string RagTime5GraphInternal::GraphicCParser::m_fieldName
| protected

the actual field name

## ◆ m_linkId

int RagTime5GraphInternal::GraphicCParser::m_linkId
| protected

the link id: 0: unicode, 1: condition, 2: clustLink, 3: clustLink[list], 4: clustLink[8], 5: transformation, 6: some dimension?

## ◆ m_what

int RagTime5GraphInternal::GraphicCParser::m_what
| protected

a index to know which field is parsed : 0: graphdata, 1: list, 2: clustLink, graph transform, 3:fSz=91

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx